Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597286 - c-ares does not fall back to "search" if "domain" is specified
Summary: c-ares does not fall back to "search" if "domain" is specified
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: c-ares
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 597287
TreeView+ depends on / blocked
 
Reported: 2010-05-28 15:05 UTC by Jakub Hrozek
Modified: 2010-06-23 22:11 UTC (History)
2 users (show)

Fixed In Version: c-ares-1.6.0-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 597287 (view as bug list)
Environment:
Last Closed: 2010-06-22 17:14:03 UTC


Attachments (Terms of Use)

Description Jakub Hrozek 2010-05-28 15:05:58 UTC
Description of problem:
If /etc/resolv.conf specifies both "domain" and "search" directives, c-ares first tries domain but never falls back to "search".

Version-Release number of selected component (if applicable):
c-ares-1.7.1-1

How reproducible:
always

Steps to Reproduce:
1. with /etc/resolv.conf like this:
domain foo
search foo bar
nameserver 1.2.3.4
2. try to resolve existing name "host.bar" by asking just for "host"

  
Actual results:
only "host" and "host.foo" are tried

Expected results:
also "host.bar" is tried

Comment 1 Fedora Update System 2010-06-03 13:02:14 UTC
c-ares-1.6.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/c-ares-1.6.0-4.fc12

Comment 2 Fedora Update System 2010-06-03 13:02:21 UTC
c-ares-1.7.0-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/c-ares-1.7.0-4.fc13

Comment 3 Fedora Update System 2010-06-03 13:05:59 UTC
c-ares-1.6.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/c-ares-1.6.0-2.el5

Comment 4 Fedora Update System 2010-06-04 18:49:24 UTC
c-ares-1.6.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update c-ares'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/c-ares-1.6.0-4.fc12

Comment 5 Fedora Update System 2010-06-04 18:50:56 UTC
c-ares-1.7.0-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update c-ares'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/c-ares-1.7.0-4.fc13

Comment 6 Fedora Update System 2010-06-08 21:39:47 UTC
c-ares-1.6.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update c-ares'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/c-ares-1.6.0-2.el5

Comment 7 Fedora Update System 2010-06-22 17:13:58 UTC
c-ares-1.7.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-06-22 17:18:53 UTC
c-ares-1.6.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-06-23 22:10:56 UTC
c-ares-1.6.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.